> ## Documentation Index
> Fetch the complete documentation index at: https://fdocs.info/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Jobs

> - Search jobs posted on LinkedIn. This endpoint is useful for scraping job openings of a specific company on LinkedIn. 

 - To scrape all results from each search, change the parameter **start** from 0 to 25, 50, etc. until you see less than 25 results returned. - 2 credits per call.



## OpenAPI

````yaml POST /search-jobs
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://web-scraping-api2.p.rapidapi.com
security:
  - ApiKeyAuth: []
paths:
  /search-jobs:
    post:
      description: >-
        - Search jobs posted on LinkedIn. This endpoint is useful for scraping
        job openings of a specific company on LinkedIn. 

         - To scrape all results from each search, change the parameter **start** from 0 to 25, 50, etc. until you see less than 25 results returned. - 2 credits per call.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                keywords:
                  type: string
                  description: Keywords to search for jobs.
                  example: marketing
                geo_code:
                  type: integer
                  description: Geographical code for filtering jobs.
                  example: 92000000
                date_posted:
                  type: string
                  description: >-
                    Filter jobs by date posted. Acceptable values include
                    predefined date ranges.
                  enum:
                    - Any time
                    - Past month
                    - Past week
                    - Past 24 hours
                  example: Any time
                experience_levels:
                  type: array
                  items:
                    type: string
                    enum:
                      - Internship
                      - Associate
                      - Director
                      - Entry level
                      - Mid-Senior level
                      - Executive
                  description: >-
                    Filter jobs by experience levels. Acceptable values include
                    predefined experience levels.
                  example:
                    - Internship
                    - Entry level
                company_ids:
                  type: array
                  items:
                    type: integer
                  description: >-
                    Learn how to [find a
                    company_id](https://fdocs.info/tutorial/howto-find-company-id).
                  example:
                    - 1035
                title_ids:
                  type: array
                  items:
                    type: string
                  description: Filter jobs by specific title IDs.
                  example: []
                onsite_remotes:
                  type: array
                  items:
                    type: string
                    enum:
                      - On-site
                      - Remote
                      - Hybrid
                  description: ''
                  example:
                    - Remote
                    - Hybrid
                functions:
                  type: array
                  items:
                    type: string
                    enum:
                      - Marketing
                      - Sales
                      - Business Development
                      - Other
                      - Strategy/Planning
                      - Writing/Editing
                      - Public Relations
                      - Information Technology
                      - Art/Creative
                      - Administrative
                      - Advertising
                  description: ''
                  example:
                    - Marketing
                    - Sales
                industries:
                  type: array
                  items:
                    type: string
                  description: Filter jobs by industries.
                  example: []
                job_types:
                  type: array
                  items:
                    type: string
                    enum:
                      - Full-time
                      - Part-time
                      - Contract
                      - Temporary
                      - Internship
                      - Other
                  description: ''
                  example:
                    - Full-time
                    - Internship
                sort_by:
                  type: string
                  description: ''
                  enum:
                    - Most recent
                    - Most relevant
                  example: ''
                easy_apply:
                  type: string
                  description: ''
                  enum:
                    - 'true'
                    - 'false'
                  example: 'false'
                under_10_applicants:
                  type: string
                  description: >-
                    Filter jobs with less than 10 applicants. Acceptable values
                    are 'true' or 'false'.
                  enum:
                    - 'true'
                    - 'false'
                  example: 'false'
                start:
                  type: integer
                  description: Pagination start index.
                  example: 0
      responses:
        '200':
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchJobs'
        '400':
          description: Invalid payload
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidPayload'
        '404':
          description: No jobs not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidURL'
        '503':
          description: System Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SystemError'
components:
  schemas:
    SearchJobs:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              company:
                type: string
                example: Microsoft
              company_linkedin_url:
                type: string
                format: uri
                example: https://www.linkedin.com/company/microsoft
              company_logo:
                type: string
                format: uri
                example: >-
                  https://media.licdn.com/dms/image/v2/C560BAQE88xCsONDULQ/company-logo.png
              job_title:
                type: string
                example: 'Marketing: MBA Internship Opportunities'
              job_url:
                type: string
                format: uri
                example: https://www.linkedin.com/jobs/view/4052310093
              job_urn:
                type: string
                example: '4052310093'
              location:
                type: string
                example: Redmond, WA
              posted_time:
                type: string
                example: '2024-11-29 10:43:18'
              remote:
                type: string
                example: Hybrid
              salary:
                type: string
                example: $11.2K/yr - $12.2K/yr
        message:
          type: string
          example: ok
        total:
          type: integer
          example: 495
    InvalidPayload:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: 'Bad request: Invalid payload.'
    InvalidURL:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: 'Bad request: Invalid linkedin_url.'
    SystemError:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: System error. We will fix it soon!
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key

````